Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xri3.impl.parser
Class Rule

    java.lang.Object
      org.openxri.xri3.impl.parser.Rule

Direct Known Subclasses:
  Parser.ALPHA, Parser.BIT, Parser.CHAR, Parser.CR, Parser.CRLF, Parser.CTL, Parser.dec_octet, Parser.DIGIT, Parser.DQUOTE, Parser.gcs_char, Parser.gen_delims, Parser.global_subseg, Parser.h16, Parser.HEXDIG, Parser.HTAB, Parser.iauthority, Parser.ifragment, Parser.ihier_part, Parser.ihost, Parser.IP_literal, Parser.ipath_abempty, Parser.ipath_abs, Parser.ipath_empty, Parser.ipath_rootless, Parser.ipchar, Parser.iprivate, Parser.IPv4address, Parser.IPv6address, Parser.IPvFuture, Parser.iquery, Parser.ireg_name, Parser.IRI, Parser.isegment, Parser.isegment_nz, Parser.iunreserved, Parser.iuserinfo, Parser.lcs_char, Parser.LF, Parser.literal, Parser.literal_nc, Parser.local_subseg, Parser.ls32, Parser.LWSP, Parser.NumericValue, Parser.OCTET, Parser.pct_encoded, Parser.port, Parser.relative_xri_part, Parser.relative_xri_ref, Parser.reserved, Parser.scheme, Parser.SP, Parser.StringValue, Parser.sub_delims, Parser.subseg, Parser.ucschar, Parser.unreserved, Parser.VCHAR, Parser.WSP, Parser.xref, Parser.xref_empty, Parser.xref_IRI, Parser.xref_xri_reference, Parser.xri, Parser.xri_authority, Parser.xri_gen_delims, Parser.xri_hier_part, Parser.xri_path, Parser.xri_path_abempty, Parser.xri_path_abs, Parser.xri_path_noscheme, Parser.xri_pchar, Parser.xri_pchar_nc, Parser.xri_reference, Parser.xri_reserved, Parser.xri_segment, Parser.xri_segment_nc, Parser.xri_segment_nz, Parser.xri_sub_delims

    public abstract class Rule

extends java.lang.Object

Field Summary
`java.util.ArrayList<Rule>` | `rules`
`java.lang.String` | `spelling`

Constructor Summary
`` | `Rule(Rule rule)`
`protected` | `Rule(java.lang.String spelling, java.util.ArrayList<Rule> rules)`

Method Summary
`int` | `compareTo(Rule rule)`
`boolean` | `equals(java.lang.Object object)`
`int` | `hashCode()`
`java.lang.String` | `toString()`
`abstract java.lang.Object` | `visit(Visitor visitor)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### spelling

    public final java.lang.String spelling

### rules

    public final java.util.ArrayList<Rule> rules

Constructor Detail

### Rule

    protected Rule(java.lang.String spelling,
                   java.util.ArrayList<Rule> rules)

### Rule

    public Rule(Rule rule)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(Rule rule)

### visit

    public abstract java.lang.Object visit(Visitor visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.